#!/bin/bash

#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --exclusive
#SBATCH --partition=kr

tmp_dir=/home/pluehne/tmp

echo "job ID: $JOB_ID"
echo "result repository: $GIT_REMOTE_URL"

mkdir -p "$tmp_dir"
dir="$tmp_dir"/"$JOB_BRANCH_NAME"

if [[ -d $dir ]]
then
	rm -rf "$dir"
fi

mkdir -p "$dir"

pushd "$dir"
	git clone "$GIT_REMOTE_URL" repository

	pushd repository
		git config user.name "Potassco Bot"
		git config user.email "bot@potassco.org"

		echo "$JOB_BRANCH_NAME" > test-output
		sleep 10
		start_time=$(date +%s%N)
		git add test-output
		git commit -m "Test update"
		git push
		end_time=$(date +%s%N)
	popd

	echo $(expr "$end_time" - "$start_time") >> "$tmp_dir"/overhead
popd
